
/**
 * Erstellt ein Bild aus Blumen und Biene
 * 
 */
public class Blumenwiese
{
    //deklariere Attribute vom Typ Biene und Blume zur Gestaltung
    private Biene maja;
    private Blume blume1, blume2, blume3;

    /**
     * Constructor for objects of class Hummelflug
     */
    public Blumenwiese()
    {
        //initialisiere Attribute
        blume1 = new Blume();
        blume2 = new Blume();
        blume3 = new Blume();
        
        blume2.setzeFarbe("blau");
        blume3.setzeFarbe("lila");
        
        blume1.verändereHorizontalePosition(-150);
        blume1.verändereVertikalePosition(-60);
        
        blume2.verändereHorizontalePosition(500);
        blume2.verändereVertikalePosition(60);
        
        blume3.verändereHorizontalePosition(250);
        blume3.verändereVertikalePosition(-300);

        maja = new Biene();
    }

    /**
     * Methoden 
     * Startposition von maja: 50, 100
     */
    
    public void fliegeKleineRunde(){
        int xBlume = blume2.gibXposition();
        int yBlume = blume2.gibYposition();
        maja.bewegeZuPosition(xBlume, yBlume);
        blume2.zuklappen();
        maja.bewegeZuPosition(50, 100);
    }
    
     public void fliegeGrosseRunde(){
        maja.bewegeZuPosition(blume1.gibXposition(), blume1.gibYposition());
        blume1.zuklappen();
        maja.bewegeZuPosition(blume2.gibXposition(), blume2.gibYposition());
        blume2.zuklappen();
        maja.bewegeZuPosition(blume3.gibXposition(), blume3.gibYposition());
        blume3.zuklappen();
        maja.bewegeZuPosition(50, 100);
    }
}
